ListSubtitles
GET
/media/v1/videos/{video_id}/subtitlesPath Parameters
video_id*video_id
The video_id path parameter.
Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/videos.v1.ListSubtitlesResponse",
"$ref-value": {
"type": "object",
"properties": {
"subtitles": {
"type": "array",
"items": {
"$ref": "#/components/schemas/videos.v1.Subtitle",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "id"
},
"video_id": {
"type": "string",
"examples": [
"FpzVPNx1cG"
],
"title": "video_id"
},
"language_code": {
"type": "string",
"examples": [
"en"
],
"title": "language_code"
},
"format": {
"allOf": [
{
"$ref": "#/components/schemas/common.v1.SubtitleFormat",
"$ref-value": {
"type": "string",
"title": "SubtitleFormat",
"enum": [
"SUBTITLE_FORMAT_UNSPECIFIED",
"SUBTITLE_FORMAT_SRT",
"SUBTITLE_FORMAT_VTT"
]
}
}
],
"examples": [
"SUBTITLE_FORMAT_VTT"
],
"title": "format"
},
"label": {
"type": "string",
"title": "label"
},
"vtt_path": {
"type": "string",
"title": "vtt_path"
}
},
"title": "Subtitle",
"additionalProperties": false
}
},
"title": "subtitles"
}
},
"title": "ListSubtitlesResponse",
"additionalProperties": false
}
}curl -X GET "https://api.rixl.com/media/v1/videos/FpzVPNx1cG/subtitles"Success
application/json
{
"$ref": "#/components/schemas/videos.v1.ListSubtitlesResponse",
"$ref-value": {
"type": "object",
"properties": {
"subtitles": {
"type": "array",
"items": {
"$ref": "#/components/schemas/videos.v1.Subtitle",
"$ref-value": {
"type": "object",
"properties": {
"id": {
"type": "string",
"examples": [
"Z9Y8X7W6V5"
],
"title": "id"
},
"video_id": {
"type": "string",
"examples": [
"FpzVPNx1cG"
],
"title": "video_id"
},
"language_code": {
"type": "string",
"examples": [
"en"
],
"title": "language_code"
},
"format": {
"allOf": [
{
"$ref": "#/components/schemas/common.v1.SubtitleFormat",
"$ref-value": {
"type": "string",
"title": "SubtitleFormat",
"enum": [
"SUBTITLE_FORMAT_UNSPECIFIED",
"SUBTITLE_FORMAT_SRT",
"SUBTITLE_FORMAT_VTT"
]
}
}
],
"examples": [
"SUBTITLE_FORMAT_VTT"
],
"title": "format"
},
"label": {
"type": "string",
"title": "label"
},
"vtt_path": {
"type": "string",
"title": "vtt_path"
}
},
"title": "Subtitle",
"additionalProperties": false
}
},
"title": "subtitles"
}
},
"title": "ListSubtitlesResponse",
"additionalProperties": false
}
}